libzypp: ztui::utf8 Namespace Reference

libzypp 17.38.11

ztui::utf8 Namespace Reference

## Classes
class | string
| Simple utf8 string. More...

## Functions
string | operator+ (const string &lhs, const string &rhs)
| relates: string concatenation
string | operator+ (const string &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | operator+ (const std::string &lhs, const string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | operator+ (const string &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | operator+ (const char *lhs, const string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
std::ostream & | operator<< (std::ostream &str, const string &obj)
| relates: string Stream output

## Function Documentation

## ◆ operator+() [1/5]

string ztui::utf8::operator+ | ( | const string & | lhs,
|  | const string & | rhs )
| inline

relates: string concatenation

Definition at line 173 of file Utf8.h.

## ◆ operator+() [2/5]

string ztui::utf8::operator+ | ( | const string & | lhs,
|  | const std::string & | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 176 of file Utf8.h.

## ◆ operator+() [3/5]

string ztui::utf8::operator+ | ( | const std::string & | lhs,
|  | const string & | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 179 of file Utf8.h.

## ◆ operator+() [4/5]

string ztui::utf8::operator+ | ( | const string & | lhs,
|  | const char * | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 182 of file Utf8.h.

## ◆ operator+() [5/5]

string ztui::utf8::operator+ | ( | const char * | lhs,
|  | const string & | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 185 of file Utf8.h.

## ◆ operator<<()

std::ostream & ztui::utf8::operator<< | ( | std::ostream & | str,
|  | const string & | obj )
| inline

relates: string Stream output

Definition at line 189 of file Utf8.h.